package info.aspirecn.iov.yysj.check.info.common;

import io.jsonwebtoken.Jwts;
import io.jsonwebtoken.SignatureAlgorithm;

import java.util.Date;
import java.util.Map;

public class JWTUtils {

    public static String generateToken(Map<String, Object> claims, String tokenKey, Date expiration, SignatureAlgorithm signatureAlgorithm) {
        return Jwts.builder().setClaims(claims).setExpiration(expiration).signWith(signatureAlgorithm, tokenKey.getBytes()).compact();
    }
}
