package info.aspirecn.iov.yysj.check.info.common;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.loadbalancer.LoadBalanced;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.ClientHttpRequestInterceptor;
import org.springframework.web.client.RestTemplate;
import java.util.List;

@Configuration
@Slf4j
public class RestTemplateConfigurate {
	@Bean(name = "getRestTemplate")
	public RestTemplate getRestTemplate() {
		// 把自定义的ClientHttpRequestInterceptor添加到RestTemplate，可添加多个
		 RestTemplate restTemplate =  new RestTemplate();
		return restTemplate;
	}
}
