package info.aspirecn.iov.yysj.check.info.common;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Component
@ConfigurationProperties(prefix = "common")
@Data
public class Property {
    private int  connetTimeOut;
    private int readTimeOut;
    private String appKey;
    private String appSecret;
    private String tokenSecret;
    private String gateWayUrl;
    private String otherGateWayUrl;
    private Map<String,Map<String,String>> requestParamTransfer;
    private Map<String,String> productMap;
    private String authenUrl;
    private String interceptorUrl;
    private Map<String,String> yysjProductCode;
}


