package info.aspirecn.iov.yysj.check.info.entity;

import java.util.HashMap;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class CompanyRoadTransportObject extends RoadTransportTem{
	@JSONField(serialize=false)
	Map<String,String> map;
	public CompanyRoadTransportObject() {
		map = new HashMap<>();
		map.put("entName", "enterpriseName");
		map.put("entAddress", "enterpriseRegistrationAddress");
		
		map.put("businessScopeDesc", "businessScope");

		map.put("licenseIssueDate", "permitGrantDate");
		map.put("permitValidPeriodFrom", "periodStartDate");
		map.put("permitValidPeriodTo", "periodEndDate");
		map.put("permitLicenseIssueOrganName", "certificationUnit");
		map.put("unifiedSocialCreditIdentifier", "organizationCode");

	}
	public  String getUpKey(String key) {//根据属性名获取上游返回对象属性名
		return map.get(key);
		
	}



	private String entName;//企业名称
	private String unifiedSocialCreditIdentifier;//	统一社会信用代码 上游没有返回
	private String entAddress;//企业注册地址
	private String permitNumber;//道路运输经营许可证编号
	private String businessScopeDesc;//企业经营范围
	private String licenseIssueDate;//道路运输经营许可证核发日期

	private String permitValidPeriodFrom;//道路运输经营许可证有效期自
	private String permitValidPeriodTo;//道路运输经营许可证有效期至
	private String permitLicenseIssueOrganName;//道路运输经营许可证发证单位

	private String operatingStatus;//经营状态  上游没有返回
	

}
