package info.aspirecn.iov.yysj.check.info.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

@Data

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ConcreteCheckResult implements  Comparable<ConcreteCheckResult>{
    @JSONField(name="verifyCode")
    private String verifyCode;
    @JSONField(name="verifyMSG")
    private String verifyMSG;
    @JSONField(name="result")
    private String result;
    @JSONField(name="errorInfo")
    private String errorInfo;
    @JSONField(name="remark")
    private String remark;

    @Override
    public int compareTo(ConcreteCheckResult o) {
        return this.getVerifyCode().compareTo(o.getVerifyCode());
    }

}

